Packages - Feature Request #2480

[your system sanity] Make it conflict like your-freedom
2019-09-06 07:12 PM - Anonymous

Status: in progress % Done: 0%
Priority: wish

Assignee: freemor

Category:

Description

your system sanity prevents installation of some packages but does not conflict with them.
It becomes an issue if your-system-sanity is installed after one of these packages. When doing pacman -Syu if updated package is
blacklisted, upgrade will be aborted and user will be required to manually remove blacklisted package or your system sanity.

Related issues:
Related to Packages - Freedom Issue #1035: [your-system-sanity]: Non-Free Sof... in progress

History

#1 - 2019-09-06 07:43 PM - freemor

- Priority changed from bug to wish

- Assignee set to freemor

- Status changed from unconfirmed to in progress

- Tracker changed from Bug to Feature Request

That exact change is already planned the use of the ALPM_hook did not work out as planned due to limitations of ALPM_hooks.

Original plan was to have the warning then ask if the user wished to proceed. Sadly you can not do user interactions from an ALPM hook.

#2 - 2019-09-06 09:56 PM - bill-auger

- Subject changed from [your system sanity] Make it like your-freedom to [your system sanity] Make it conflict like your-freedom

#3 - 2019-09-13 08:29 PM - Anonymous

Looks like it will prevent installation after package is downloaded. Why waste time?

#4 - 2019-09-13 08:51 PM - bill-auger

the packages that are downloaded are free software - that is not
the issue - this is about warning people that these programs
have the potential to download other software - just as librejs
warns people about using the web

it is not a waste of time because the alternative is

blacklisting them or the intractable task of filtering all
of their repos and hosting them elsewhere

#5 - 2020-01-14 03:05 PM - bill-auger
- Related to Freedom Issue #1035: [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM) added
